#include "misc/Utils.hpp"


/**
 * @brief converts a float to a byte array
 * 
 * @param b0 
 * @param b1 
 * @param b2 
 * @param b3 
 * @return float 
 */
float Utils::bytesToFloat (uint8_t b0, uint8_t b1, uint8_t b2, uint8_t b3)
{
	union {
		float f;
		uint8_t b[4];
	} u;
	u.b[3] = b0;
	u.b[2] = b1;
	u.b[1] = b2;
	u.b[0] = b3;
	return u.f;
}

/**
 * @brief converts a byte array to a float
 * 
 * @param b0 
 * @param b1 
 * @param b2 
 * @param b3 
 * @return uint32_t 
 */
uint32_t Utils::bytesToInt (uint8_t b0, uint8_t b1, uint8_t b2, uint8_t b3)
{
	union {
		uint32_t i;
		uint8_t b[4];
	} u;
	u.b[3] = b0;
	u.b[2] = b1;
	u.b[1] = b2;
	u.b[0] = b3;
	return u.i;
}